@mixin flex() {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}
@mixin flexWrap() {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap
}
@mixin flexColumn() {
    webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}
@mixin flex-row-reverse() {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse    
}
@mixin justifyContent($val) {
    -webkit-box-pack: $val;
    -ms-flex-pack: $val;
    justify-content: $val;
}
@mixin flexalign($pos) {
    -webkit-box-align: $pos;
    -ms-flex-align: $pos;
    align-items: $pos;
}
@mixin justifyContentSpaceAround() {
    -ms-flex-pack: distribute;
    justify-content: space-around;
}
@mixin transition($transition) {
    -webkit-transition: $transition;
    -o-transition: $transition;
    transition: $transition;
}
@mixin transitionDelay($value) {
    -webkit-transition-delay: $value;
    -o-transition-delay: $value;
    transition-delay: $value;
}
@mixin rotate($deg) {
    -webkit-transform: rotate($deg);
    -ms-transform: rotate($deg);
    transform: rotate($deg);
}
@mixin origin($origin) {
    -webkit-transform-origin: $origin;
    -ms-transform-origin: $origin;
    transform-origin: $origin;
}
@mixin translate($transform) {
    -webkit-transform: $transform;
    -ms-transform: $transform;
    transform: $transform;
}
@mixin transform($transform) {
    -webkit-transform: $transform;
    -ms-transform: $transform;
    transform: $transform;
}
@mixin borderRadius($radius) {
    -moz-border-radius: $radius;
    -webkit-border-radius: $radius;
    -ms-border-radius: $radius;
    border-radius: $radius;    
}
@mixin noShadow() {
    -webkit-box-shadow: 0px 0px 0px 0px;
    -moz-box-shadow: 0px 0px 0px 0px;
    -ms-box-shadow: 0px 0px 0px 0px;
    box-shadow: 0px 0px 0px 0px;
}
@mixin boxShadow($value) {
    -webkit-box-shadow: $value;
    -moz-box-shadow: $value;
    -ms-box-shadow: $value;
    box-shadow: $value;
}
@mixin flexgrow($grow) {
    -webkit-box-flex: $grow;
    -ms-flex-positive: $grow;
    flex-grow: $grow;
}
@mixin input-placeholder {
    &.placeholder { @content; }
    &:-moz-placeholder { @content; }
    &::-moz-placeholder { @content; }
    &:-ms-input-placeholder { @content; }
    &::-webkit-input-placeholder { @content; }
}
@mixin animation($value) {
    -webkit-animation: $value;
    -moz-animation: $value;
    -o-animation: $value;
    animation: $value;
}

@mixin keyframes($name) {
    @-webkit-keyframes #{$name} {
        @content; 
    }
    @-moz-keyframes #{$name} {
        @content;
    }
    @-ms-keyframes #{$name} {
        @content;
    }
    @keyframes #{$name} {
        @content;
    } 
}
@mixin font-face($font-family, $file-path, $font-weight, $font-style) {
    @font-face {
        font-family: $font-family;
        src: url('#{$file-path}.eot');
        src: url('#{$file-path}.eot?#iefix') format('embedded-opentype'),
            url('#{$file-path}.woff') format('woff'),
            url('#{$file-path}.ttf') format('truetype'),
            url('#{$file-path}.svg##{$font-family}') format('svg');
        font-weight: $font-weight;
        font-style: $font-style;
    }
}